﻿using Carmenta.Engine;

using System.Linq;

namespace CarmentaWpfClient.Utils;

public static class EngineExtensions
{
    public static T? GetTypedObject<T>(this View view, string name = "")
        where T : ResourceObject
    {
        var objectsOfType = view.GetChildObjects().OfType<T>();

        return string.IsNullOrEmpty(name) ? objectsOfType.FirstOrDefault() : objectsOfType.FirstOrDefault(x => x.Name == name);
    }
}
