using StreamingService;

WebApplicationBuilder builder = WebApplication.CreateBuilder(args);

builder.Services.AddSignalR().AddMessagePackProtocol();
builder.Services.AddSingleton<StreamingRepository<Guid, byte[]>>();

WebApplication app = builder.Build();

app.UseHttpsRedirection();

app.MapHub<CommunicationHub>("/communicationHub");
app.Run();